Bug 1448683 - Missing flash message / any notification to user deleting cloud tenant
Summary: Missing flash message / any notification to user deleting cloud tenant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Andrey
QA Contact: Danylo Kholodov
URL:
Whiteboard: openstack
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-07 06:35 UTC by Ronnie Rasouli
Modified: 2019-02-07 23:02 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:34 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:39 UTC

Description Ronnie Rasouli 2017-05-07 06:35:05 UTC
Description of problem:

There is no comprehensive message to user for the tenant delete action. 

Version-Release number of selected component (if applicable):

5.8.0.13

How reproducible:
100%

Steps to Reproduce:
1. login to CFME UI
2. navigate to compute --> cloud --> tenants
3. select the desired tenant to be deleted
4. go to configuration --> delete this cloud tenant

Actual results:

tenant remains selected, while is being deleted on OSP

Expected results:

Flash message like: cloud tenant 'abc' is being deleted...

Additional info:

Comment 3 Andrey 2018-05-09 11:15:59 UTC
PR is out: https://github.com/ManageIQ/manageiq/pull/17011
(but MIQ-bot didn't recognize it)

Comment 4 Satoe Imaishi 2018-05-18 15:32:39 UTC
Andrey, fyi, you'd need to add "Fixes <BZ link>" in the git commit message for the bot to move BZ to POST :)

Comment 5 Danylo Kholodov 2018-06-19 09:30:08 UTC
Verified at the CFME 5.10

Comment 6 errata-xmlrpc 2019-02-07 23:02:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.